﻿using System;
using System.Collections.Generic;
using System.Data;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class _Default : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        WebDataGrid1.DataSource = GetDataSource();
        if (!IsPostBack)
        {
            WebDataGrid1.DataBind();
        }
    }

    private DataTable GetDataSource()
    {
        DataTable dataSource = null;

        if(Session["Table"] == null)
        {
            dataSource = GetTable();
            this.Session.Add("Table", dataSource);
        }
        else
        {
            dataSource = (DataTable)this.Session["Table"];
        }

        return dataSource;
    }

    static DataTable GetTable()
    {
        // Here we create a DataTable with four columns.
        DataTable table = new DataTable();
        table.Columns.Add("Dosage", typeof(int));
        table.Columns.Add("Drug", typeof(string));
        table.Columns.Add("Patient", typeof(string));
        table.Columns.Add("Date", typeof(DateTime));

        // Here we add five DataRows.
        table.Rows.Add(25, "Indocin", "David", DateTime.Now);
        table.Rows.Add(50, "Enebrel", "Sam", DateTime.Now);
        table.Rows.Add(10, "Hydralazine", "Christoff", DateTime.Now);
        table.Rows.Add(21, "Combivent", "Janet", DateTime.Now);
        table.Rows.Add(100, "Dilantin", "Melanie", DateTime.Now);

        DataColumn[] PK = new DataColumn[1];
        PK[0] = table.Columns["Dosage"];

        table.PrimaryKey = PK;

        return table;
    }
    protected void Button1_Click(object sender, EventArgs e)
    {
        GetTable().AcceptChanges();
    }
}